<?php
namespace Modules\API\APIInterne\OxaMobility\Controller;

use SimpleXMLElement;
use Helpers\Trad\Trad;
use Skeleton\Controller\Controller;
use Helpers\Outil\Outils;
use Helpers\Fichier\Fichier;
use Modules\API\APIInterne\OxaMobility\Outil\OutilExtension;

// phpcs:ignore
class PAGE_MesDemandesController extends Controller
{
    public function init() : void
    {
        /** A deplacer dans absAPIcontroller plus tard car pas top */
        $trad = $this->getTranslationService();
        if ($trad instanceof Trad) {
            $trad->setLang($_SESSION['Session_Langue']);
        }
    }
    
    /**
     * INITAction
     *
     * @param  array<mixed> $body
     * @param  array<mixed> $jwtPayload
     * @param  bool $json
     * @return string
     */
    public function INITAction(array $body = [], array $jwtPayload = [], bool $json = true) : string
    {
        

        
        $trad = $this->getTranslationService();
    
        // mobilite/Mobilite#408

        // Pour l'écran de liste

        $return['Trads']['MLS_Onglet1'] = $trad->t('En cours');
        $return['Trads']['MLS_Onglet2'] = $trad->t('En signature');
        $return['Trads']['MLS_Onglet3'] = $trad->t('Traitées');
       
        $return['Trads']['MLS_DateCreation'] = $trad->t('Date de création');
        $return['Trads']['MLS_DateLivraison'] = $trad->t('Date de livraison');

        $return['Trads']['MLS_PrefixeDA'] = $trad->t('DA');
        $return['Trads']['MLS_PrefixeDS'] = $trad->t('DS');

        $return['Trads']['MLS_BTN_Relancer'] = $trad->t('Relancer');
        $return['Trads']['MLS_Confirmer_Relance'] = $trad->t('Souhaitez-vous relancer le(s) signataire(s) de la demande N° %1 ?');
        $return['Trads']['MLS_TraitementTermine'] = $trad->t('Un email a été transmis au signataire attendu de cette demande.');

        $return['Trads']['MLS_Site'] = $trad->t('Site de stock :');

        // Pour l'écran des filtres

        $return['Trads']['MLS_Filtrer'] = $trad->t('Filtrer');
        $return['Trads']['MLS_FiltreNumDoc'] = $trad->t('N° de Document');
        $return['Trads']['MLS_FiltreCodeArt'] = $trad->t('Code article');
        $return['Trads']['MLS_FiltreRechDesign'] = $trad->t('Dont la désignation contient');
        $return['Trads']['MLS_FiltreSiteStock'] = $trad->t('Site de stock');
        $return['Trads']['MLS_FiltreCodeSI'] = $trad->t('Section d\'imputation');
        $return['Trads']['MLS_FiltreCodeCG'] = $trad->t('Code gestion');
        $return['Trads']['MLS_FiltreCodeCDC'] = $trad->t('Code complémentaire');
        $return['Trads']['MLS_FiltreCodeSCA'] = $trad->t('Sous-compte d\'analyse');
        $return['Trads']['MLS_FiltreDateCreation'] = $trad->t('Date de création');
        $return['Trads']['MLS_FiltreSFA'] = $trad->t('Sous-famille');
       
        return OutilExtension::checkExtension($body, $return, $json);
    }
}
